#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open('src/pymygdala/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Pymygdala General Message Sender',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['simplejson', 'pika', 'pycapo'],
    keywords=[],
    packages=['pymygdala'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': [
            'pym-sendevent    = pymygdala.commands:sendevent',
            'pym-dumplogs     = pymygdala.commands:dumplogs',
            'pym-sendlog      = pymygdala.commands:sendlog',
            'ingest-complete  = pymygdala.commands:ingestion_complete',
            'logwrapper       = pymygdala.commands:amqp_logging_shell_wrapper',
        ]
    },
)
