import pytest
import zc.buildout.testing

@pytest.fixture(scope='module')
def recipe():
    """
    pytest fixture that initializes zc.buildout objects for use in testing.
    Initializes Buildout, Options, and Recipe objects.

    :return: Initialized recipe object for build_pkgs
    """
    from .. import build_pkgs
    buildout = zc.buildout.testing.Buildout()
    options = buildout.Options(buildout, 'build_pkgs', {'recipe': 'build_pkgs', 'name': 'null'})
    recipe = build_pkgs.Recipe(buildout=buildout, name=None, options=options)
    return recipe